package com.mvc.dao;

import com.mvc.entity.BatteryAcc;
import com.mvc.entity.BatteryAccExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface BatteryAccMapper {
    long countByExample(BatteryAccExample example);

    int deleteByExample(BatteryAccExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(BatteryAcc record);

    int insertSelective(BatteryAcc record);

    List<BatteryAcc> selectByExample(BatteryAccExample example);

    BatteryAcc selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") BatteryAcc record, @Param("example") BatteryAccExample example);

    int updateByExample(@Param("record") BatteryAcc record, @Param("example") BatteryAccExample example);

    int updateByPrimaryKeySelective(BatteryAcc record);

    int updateByPrimaryKey(BatteryAcc record);
}